/*
 * ServiceProviderCreationException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * サービスプロバイダ取得時に発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ServiceProviderCreationException extends ServiceRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 4227648070190383047L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ServiceProviderCreationException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ServiceProviderCreationException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ServiceProviderCreationException(String msg, Exception cause) {
		super(msg, cause);
	}
}
